View Issue Details

IDProjectCategoryView StatusLast Update
0000028luatexluatex bugpublic2008-06-24 11:53
ReporterTacoAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.25.3 
Target Version0.30.0Fixed in Version0.27.0 
Summary0000028: Whatever is in argv[0] becomes the default format name, including suffix and path
DescriptionFrom Pawe? Jackowski :

Just for the record, what happened to me (not only to me):
* I build luatex format, put it into location of TEXFORMATS
(ensured `kpsewhich luatex.fmt` gives 'c:/TeX/texmf/web2c/luatex.fmt')
* `luatex anyfile` gives

    This is LuaTeX, Version snapshot-0.25.1-2008032114 (Web2C 7.5.6)
    I can't find the format file `C:\TeX\bin\win32\luatex.EXE.fmt'!

* `luatex -fmt luatex` works just fine
Additional InformationOn linux, it could /opt/tex/bin/luatex.fmt etc.
TagsNo tags attached.

Activities

Taco

2008-05-22 17:39

administrator   ~0000025

fixed in #1286

Issue History

Date Modified Username Field Change
2008-04-22 15:16 Taco New Issue
2008-05-16 11:39 Taco Target Version => 0.30.0
2008-05-16 11:39 Taco Steps to Reproduce Updated
2008-05-16 11:40 Taco Status new => assigned
2008-05-16 11:40 Taco Assigned To => Taco
2008-05-22 17:39 Taco Note Added: 0000025
2008-05-22 17:39 Taco Status assigned => resolved
2008-05-22 17:39 Taco Resolution open => fixed
2008-05-22 17:39 Taco Steps to Reproduce Updated
2008-06-24 11:53 Taco Fixed in Version => 0.27.0
2008-06-24 11:53 Taco Status resolved => closed